package com.yanzhu.base.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yanzhu.common.annotation.Excel;
import com.yanzhu.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 物资类型对象 base_assets_type
 * 
 * @author yanZhu
 * @date 2024-02-24
 */
public class BaseAssetsType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 父级分类 */
    @Excel(name = "父级分类")
    private Long parentId;

    /** 单位主键 */
    @Excel(name = "单位主键")
    private Long deptId;

    /** 资产类型 */
    @Excel(name = "资产类型")
    private String type;

    /** 资产名称 */
    @Excel(name = "资产名称")
    private String name;

    /** 资产单位 */
    @Excel(name = "资产单位")
    private String unit;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private String isDel;

    /** 默认单位数据 */
    private Long defaultDeptId;

    /** 子类型列表 */
    private List<BaseAssetsType> childrenAssetsTypeList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setParentId(Long parentId) 
    {
        this.parentId = parentId;
    }

    public Long getParentId() 
    {
        return parentId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    public List<BaseAssetsType> getChildrenAssetsTypeList() {
        return childrenAssetsTypeList;
    }

    public void setChildrenAssetsTypeList(List<BaseAssetsType> childrenAssetsTypeList) {
        this.childrenAssetsTypeList = childrenAssetsTypeList;
    }

    public Long getDefaultDeptId() {
        return defaultDeptId;
    }

    public void setDefaultDeptId(Long defaultDeptId) {
        this.defaultDeptId = defaultDeptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("parentId", getParentId())
            .append("deptId", getDeptId())
            .append("type", getType())
            .append("name", getName())
            .append("unit", getUnit())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
